%global commitdate 20240723
%global commithash 3b5c384ac79af16b209ee76bceacdb7f92a32e7c
%global shortcommit %(c=%{commithash}; echo ${c:0:7})

Name:           VK_hdr_layer
Version:        0~git%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Vulkan Wayland HDR WSI Layer

License:        MIT
URL:            https://github.com/swick/VK_hdr_layer
Source:         %{url}/archive/%{commithash}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  meson >= 0.58
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  vulkan-headers
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(vkroots)
BuildRequires:  pkgconfig(wayland-client)

# KWin is the main reference supported compositor
Enhances:       kwin-wayland >= 6.0

%description
Vulkan layer utilizing a small color management / HDR protocol for experimentation.
Upstream protocol proposal for color management is here: wp_color_management.

Implements the following vulkan extensions, if the protocol is supported by the compositor.

* VK_EXT_swapchain_colorspace
* VK_EXT_hdr_metadata


%prep
%autosetup -n %{name}-%{commithash}


%conf
%meson


%build
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libVkLayer_hdr_wsi.so
%{_datadir}/vulkan/implicit_layer.d/VkLayer_hdr_wsi.x86_64.json


%changelog
* Thu Sep 05 2024 Neal Gompa <ngompa@fedoraproject.org> - 0~git20240723.3b5c384-1
- Initial package
